Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.presence.sip.management
Interface PresenceMBean

public interface PresenceMBean

Runtime MBean to configure the Presence plugin.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static int` | `defaultNotificationCount` The default notification count value.
`static int` | `defaultNotificationDuration` The value(seconds) of the default notification duration.
`static int` | `notificationCleanupTimerValue` The value(seconds) of the timer used for checking and cleanup of old notifications.
`static String` | `presenceServerAddress` Presence Server address (or other node where subscribe requests should be sent)
`static String` | `presenceXDMSAddress` XCAP root URI of the XDM Server (e.g http://127.0.0.1:8080/services)
`static String` | `presenceXDMSPassword` The password for HTTP Authentication of XDMS
`static String` | `presenceXDMSPresrulesPostfix` The last-part of the XCAP Document selector for presence rules(e.g.
`static String` | `presenceXDMSPresrulesPrefix` The pre-part of the XCAP Document selector for presence rules(e.g.
`static String` | `presenceXDMSProviderClassName` The class name of XDM Server provider.
`static String` | `presenceXDMSUsername` The username for HTTP Authentication of XDMS
`static int` | `subscribeExpiryValue` The value(seconds) of suggested subscription lifetime (default 300 sec): Format: int
`static int` | `subscriptionCleanupTimerValue` The value(seconds) of the timer used for checking and cleanup of old subscriptions.

Method Summary
`void` | `clearCache(String cacheToClear)` Clears one or all caches.
`String` | `getApplicationInstance(String uri)` Get the application instance ID associated to the supplied URI.
`String` | `getApplicationInstanceSIPURI(String applicationInstanceID)` Get the URI associated to the supplied application instance ID.
`int` | `getDefaultNotificationCount()`
`int` | `getDefaultNotificationDuration()`
`int` | `getNotificationCleanupTimerValue()` Get the value of the timer used for checking and cleanup of old notifications.
`String` | `getPresenceServerAddress()`
`String` | `getPresenceXDMSAddress()`
`String` | `getPresenceXDMSPassword()`
`String` | `getPresenceXDMSPresrulesPostfix()`
`String` | `getPresenceXDMSPresrulesPrefix()`
`String` | `getPresenceXDMSProviderClassName()`
`String` | `getPresenceXDMSUsername()`
`int` | `getSubscribeExpiryValue()`
`int` | `getSubscriptionCleanupTimerValue()` Get the value of the timer used for checking and cleanup of old subscriptions.
`String[]` | `listNotificationsCache()` Debug operation left for troubleshooting.
`String[]` | `listSubscriptionsCache()` Debug operation left for troubleshooting.
`String[]` | `listURIMappingCache()` Debug operation left for troubleshooting.
`void` | `removeApplicationInstanceFromCache(String applicationInstanceID)` Removes entries that are associated to the supplied application instance ID Use this method to remove any cache information we might have on an application instance that has been deleted.
`void` | `removeNotification(String appInstGrpId, String presentity)` Removes a notification.
`void` | `removeSubscription(String appInstGrpId, String presentity)` Removes a subscription and notification if there is one.
`void` | `setApplicationInstanceSIPURI(String applicationInstanceID, String URI)` Associate a sip URI to an application instance.
`void` | `setDefaultNotificationCount(int count)`
`void` | `setDefaultNotificationDuration(int seconds)`
`void` | `setNotificationCleanupTimerValue(int seconds)` Set the value of the timer used for checking and cleanup of old notifications.
`void` | `setPresenceServerAddress(String s)`
`void` | `setPresenceXDMSAddress(String address)`
`void` | `setPresenceXDMSPassword(String password)`
`void` | `setPresenceXDMSPresrulesPostfix(String postfix)`
`void` | `setPresenceXDMSPresrulesPrefix(String prefix)`
`void` | `setPresenceXDMSProviderClassName(String className)`
`void` | `setPresenceXDMSUsername(String username)`
`void` | `setSubscribeExpiryValue(int seconds)`
`void` | `setSubscriptionCleanupTimerValue(int seconds)` Set the value of the timer used for checking and cleanup of old subscriptions.
`void` | `updateSubscriptionToBeConfirmed(String presentity, String watcher)` Debug operation left for testing.

Field Detail

### defaultNotificationCount

    public static final int defaultNotificationCount

  The default notification count value. This value is used if none is provided in startNotification. Format: int [>1]

  See Also:
    Constant Field Values

### defaultNotificationDuration

    public static final int defaultNotificationDuration

  The value(seconds) of the default notification duration. This value is used if none is provided in startNotification. Example values: 86400s = 1 day, 604800s = 1 week Format: int [>10]

  See Also:
    Constant Field Values

### notificationCleanupTimerValue

    public static final int notificationCleanupTimerValue

  The value(seconds) of the timer used for checking and cleanup of old notifications. Each time the timer expires, it will initiate a check for old notifications. If an old notification is found during the check it will be removed internally and a statusEnd-callback will be made to the application. Format: int [>10]

  See Also:
    Constant Field Values

### presenceServerAddress

    public static final String presenceServerAddress

  Presence Server address (or other node where subscribe requests should be sent)

  See Also:
    Constant Field Values

### presenceXDMSAddress

    public static final String presenceXDMSAddress

  XCAP root URI of the XDM Server (e.g http://127.0.0.1:8080/services)

  See Also:
    Constant Field Values

### presenceXDMSPassword

    public static final String presenceXDMSPassword

  The password for HTTP Authentication of XDMS

  See Also:
    Constant Field Values

### presenceXDMSPresrulesPostfix

    public static final String presenceXDMSPresrulesPostfix

  The last-part of the XCAP Document selector for presence rules(e.g. /presrules). This part is after XCAP User Identifier(XUI).

  See Also:
    Constant Field Values

### presenceXDMSPresrulesPrefix

    public static final String presenceXDMSPresrulesPrefix

  The pre-part of the XCAP Document selector for presence rules(e.g. /pres-rules/users/). This part is before XCAP User Identifier(XUI).

  See Also:
    Constant Field Values

### presenceXDMSProviderClassName

    public static final String presenceXDMSProviderClassName

  The class name of XDM Server provider. Here we provided a pluggable function to permit the third party vendors of XDMS to customize their own XCAP client. This class should implement the "com.bea.wlcp.wlng.plugin.presence.sip.south.xcap.XCAPClient" interface. The system has provided a class named "com.bea.wlcp.wlng.plugin.presence.sip.south.xcap.IETFXCAPClient" which is compatible with IETF spec.

  See Also:
    Constant Field Values

### presenceXDMSUsername

    public static final String presenceXDMSUsername

  The username for HTTP Authentication of XDMS

  See Also:
    Constant Field Values

### subscribeExpiryValue

    public static final int subscribeExpiryValue

  The value(seconds) of suggested subscription lifetime (default 300 sec): Format: int

  See Also:
    Constant Field Values

### subscriptionCleanupTimerValue

    public static final int subscriptionCleanupTimerValue

  The value(seconds) of the timer used for checking and cleanup of old subscriptions. Each time the timer expires, it will initiate a check for old subscriptions. If an old subscription is found during the check it will be removed internally and callback(s) will be made to the client. Format: int [>10]

  See Also:
    Constant Field Values

Method Detail

### clearCache

    public void clearCache(String cacheToClear)
                    throws ManagementException

  Clears one or all caches. Use with caution!

  Parameters:
    `cacheToClear` - is the cache to clear. Valid options {NOTIFICATIONS,SUBSCRIPTIONS,URIMAPPINGS,ALL} ie. invoking this method with ALL will clear all caches.
  Throws:
    `ManagementException`

### getApplicationInstance

    public String getApplicationInstance(String uri)
                                  throws StorageException

  Get the application instance ID associated to the supplied URI.

  Parameters:
    `uri` -
  Throws:
    `StorageException` - if the underlying storage facility fails.

### getApplicationInstanceSIPURI

    public String getApplicationInstanceSIPURI(String applicationInstanceID)
                                        throws StorageException

  Get the URI associated to the supplied application instance ID.

  Parameters:
    `applicationInstanceID` - the application instance ID
  Throws:
    `StorageException` - if the underlying storage facility fails.

### getDefaultNotificationCount

    public int getDefaultNotificationCount()
                                    throws ManagementException

  Throws:
    `ManagementException`

### getDefaultNotificationDuration

    public int getDefaultNotificationDuration()
                                       throws ManagementException

  Throws:
    `ManagementException`

### getNotificationCleanupTimerValue

    public int getNotificationCleanupTimerValue()

  Get the value of the timer used for checking and cleanup of old notifications.

  Returns:

### getPresenceServerAddress

    public String getPresenceServerAddress()
                                    throws ManagementException

  Throws:
    `ManagementException`

### getPresenceXDMSAddress

    public String getPresenceXDMSAddress()
                                  throws ManagementException

  Throws:
    `ManagementException`

### getPresenceXDMSPassword

    public String getPresenceXDMSPassword()
                                   throws ManagementException

  Throws:
    `ManagementException`

### getPresenceXDMSPresrulesPostfix

    public String getPresenceXDMSPresrulesPostfix()
                                           throws ManagementException

  Throws:
    `ManagementException`

### getPresenceXDMSPresrulesPrefix

    public String getPresenceXDMSPresrulesPrefix()
                                          throws ManagementException

  Throws:
    `ManagementException`

### getPresenceXDMSProviderClassName

    public String getPresenceXDMSProviderClassName()
                                            throws ManagementException

  Throws:
    `ManagementException`

### getPresenceXDMSUsername

    public String getPresenceXDMSUsername()
                                   throws ManagementException

  Throws:
    `ManagementException`

### getSubscribeExpiryValue

    public int getSubscribeExpiryValue()
                                throws ManagementException

  Throws:
    `ManagementException`

### getSubscriptionCleanupTimerValue

    public int getSubscriptionCleanupTimerValue()

  Get the value of the timer used for checking and cleanup of old subscriptions.

  Returns:

### listNotificationsCache

    public String[] listNotificationsCache()
                                    throws ManagementException

  Debug operation left for troubleshooting. Note: Use with causion, will list data from all entries in the Notification cache! The data is returned in a String array, and the returned data contains TODO: specify ie: TODO: show example

  Throws:
    `ManagementException` - if lookup failed

### listSubscriptionsCache

    public String[] listSubscriptionsCache()
                                    throws ManagementException

  Debug operation left for troubleshooting. Note: Use with causion, will list data from all entries in the Subscription cache! The data is returned in a String array, and the returned data contains URI, appinstgrpid and pending flag. ie: uri: uri: sip:460001@bea.com appinstgrp: app_inst_1a pending: false

  Throws:
    `ManagementException` - if lookup failed

### listURIMappingCache

    public String[] listURIMappingCache()
                                 throws ManagementException

  Debug operation left for troubleshooting. Note: Use with causion, will list data from all entries in the URI mappings cache! The data is returned in a String array, and the returned data contains URI and appinstgrpid. ie: uri: sip:app_inst_1a@bea.com appinstgrp: app_inst_1a

  Throws:
    `ManagementException` - if lookup failed

### removeApplicationInstanceFromCache

    public void removeApplicationInstanceFromCache(String applicationInstanceID)
                                            throws ManagementException

  Removes entries that are associated to the supplied application instance ID Use this method to remove any cache information we might have on an application instance that has been deleted.

  Parameters:
    `applicationInstanceID` - the application instance ID
  Throws:
    `ManagementException`

### removeNotification

    public void removeNotification(String appInstGrpId,
                                   String presentity)
                            throws ManagementException

  Removes a notification. Note that no callback will be made to the application when using this method.

  Parameters:
    `appInstGrpId` - the userid that identifies this subscription
    `presentity` - presentity
  Throws:
    `ManagementException` - is operation is not successful

### removeSubscription

    public void removeSubscription(String appInstGrpId,
                                   String presentity)
                            throws ManagementException

  Removes a subscription and notification if there is one. Note that no callback will be made to the application when using this method.

  Parameters:
    `appInstGrpId` - the userid that identifies this subscription
    `presentity` - presentity
  Throws:
    `ManagementException` - if operation is not successful

### setApplicationInstanceSIPURI

    public void setApplicationInstanceSIPURI(String applicationInstanceID,
                                             String URI)
                                      throws StorageException,
                                             URISyntaxException

  Associate a sip URI to an application instance.

  Parameters:
    `applicationInstanceID` - the application instance ID
    `URI` - the sip URI
  Throws:
    `URISyntaxException`
    `StorageException` - if the sip URI is already associated with another application instance or if the underlying storage facility fails.

### setDefaultNotificationCount

    public void setDefaultNotificationCount(int count)
                                     throws ManagementException

  Throws:
    `ManagementException`

### setDefaultNotificationDuration

    public void setDefaultNotificationDuration(int seconds)
                                        throws ManagementException

  Throws:
    `ManagementException`

### setNotificationCleanupTimerValue

    public void setNotificationCleanupTimerValue(int seconds)
                                          throws ManagementException

  Set the value of the timer used for checking and cleanup of old notifications. The value is in seconds.

  Throws:
    `ManagementException`

### setPresenceServerAddress

    public void setPresenceServerAddress(String s)
                                  throws ManagementException

  Throws:
    `ManagementException`

### setPresenceXDMSAddress

    public void setPresenceXDMSAddress(String address)
                                throws ManagementException

  Throws:
    `ManagementException`

### setPresenceXDMSPassword

    public void setPresenceXDMSPassword(String password)
                                 throws ManagementException

  Throws:
    `ManagementException`

### setPresenceXDMSPresrulesPostfix

    public void setPresenceXDMSPresrulesPostfix(String postfix)
                                         throws ManagementException

  Throws:
    `ManagementException`

### setPresenceXDMSPresrulesPrefix

    public void setPresenceXDMSPresrulesPrefix(String prefix)
                                        throws ManagementException

  Throws:
    `ManagementException`

### setPresenceXDMSProviderClassName

    public void setPresenceXDMSProviderClassName(String className)
                                          throws ManagementException

  Throws:
    `ManagementException`

### setPresenceXDMSUsername

    public void setPresenceXDMSUsername(String username)
                                 throws ManagementException

  Throws:
    `ManagementException`

### setSubscribeExpiryValue

    public void setSubscribeExpiryValue(int seconds)
                                 throws ManagementException

  Throws:
    `ManagementException`

### setSubscriptionCleanupTimerValue

    public void setSubscriptionCleanupTimerValue(int seconds)
                                          throws ManagementException

  Set the value of the timer used for checking and cleanup of old subscriptions. The value is in seconds.

  Throws:
    `ManagementException`

### updateSubscriptionToBeConfirmed

    public void updateSubscriptionToBeConfirmed(String presentity,
                                                String watcher)
                                         throws ManagementException

  Debug operation left for testing. Update the presence rule in XDMS to "confirm" status. Note: This method is only used to help presence supplier testing since some sip terminators can't change the "block" subscription to be "pending". By this operation we can force the blocked subscription to be pending/confirmed.

  Parameters:
    `presentity` -
  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD